com.independentsoft.exchange

## Class Journal

- java.lang.Object
- - com.independentsoft.exchange.Item
  - - com.independentsoft.exchange.Journal

-     public class Journal
      extends Item

  The Class Journal.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Journal()` Instantiates a new journal.
    `Journal(MimeContent mimeContent)` Instantiates a new journal.
    `Journal(java.lang.String subject)` Instantiates a new journal.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Date` | `getCommonEndTime()` Gets the common end time.
    `java.util.Date` | `getCommonStartTime()` Gets the common start time.
    `java.util.List<java.lang.String>` | `getCompanies()` Gets the companies.
    `java.util.List<java.lang.String>` | `getContacts()` Gets the contacts.
    `int` | `getDuration()` Gets the duration.
    `java.util.Date` | `getEndTime()` Gets the end time.
    `java.util.Date` | `getStartTime()` Gets the start time.
    `java.lang.String` | `getType()` Gets the type.
    `java.lang.String` | `getTypeDescription()` Gets the type description.
    `boolean` | `isPrivate()` Checks if is private.
    `void` | `setCommonEndTime(java.util.Date commonEndTime)` Sets the common end time.
    `void` | `setCommonStartTime(java.util.Date commonStartTime)` Sets the common start time.
    `void` | `setDuration(int duration)` Sets the duration.
    `void` | `setEndTime(java.util.Date endTime)` Sets the end time.
    `void` | `setPrivate(boolean isPrivate)` Sets the private.
    `void` | `setStartTime(java.util.Date startTime)` Sets the start time.
    `void` | `setType(java.lang.String type)` Sets the type.
    `void` | `setTypeDescription(java.lang.String typeDescription)` Sets the type description.
    `java.lang.String` | `toString()` Converts the value of the current Item object to its equivalent string representation.

    - ### Methods inherited from class com.independentsoft.exchange.Item

      `getArchiveTag, getAttachments, getBody, getBodyHtmlText, getBodyPlainText, getBodyRtf, getCategories, getComment, getConversationId, getCreatedTime, getCulture, getDisplayName, getEffectiveRights, getEntityExtractionResult, getEntryId, getExtendedProperties, getExtendedProperty, getFlag, getGroupingAction, getIconIndex, getImportance, getInstanceKey, getItemClass, getItemId, getLastModifiedTime, getLastModifierName, getMimeContent, getNextPredictedAction, getParentId, getPreview, getReminderDueBy, getReminderIsSet, getReminderMinutesBeforeStart, getRetentionDate, getRetentionTag, getRtfCompressed, getSearchKey, getSensitivity, getSize, getStoreEntryId, getSubject, getTextBody, getUniqueBody, getWebClientEditFormQueryString, getWebClientReadFormQueryString, hasAttachments, hasBlockedImages, isAssociated, isBlockStatus, isHidden, setArchiveTag, setBody, setBodyRtf, setCategories, setComment, setDisplayName, setEffectiveRights, setFlag, setHidden, setImportance, setItemClass, setMimeContent, setReminderDueBy, setReminderIsSet, setReminderMinutesBeforeStart, setRetentionDate, setRetentionTag, setRtfCompressed, setSensitivity, setSubject`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Journal

          public Journal()

      Instantiates a new journal.

    - #### Journal

          public Journal(java.lang.String subject)

      Instantiates a new journal.
      Parameters:
        `subject` - the subject

    - #### Journal

          public Journal(MimeContent mimeContent)

      Instantiates a new journal.
      Parameters:
        `mimeContent` - the mime content

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Description copied from class: `Item`
      Converts the value of the current Item object to its equivalent string representation.
      Overrides:
        `toString` in class `Item`
      Returns:
        the string

    - #### getStartTime

          public java.util.Date getStartTime()

      Gets the start time.
      Returns:
        the start time

    - #### setStartTime

          public void setStartTime(java.util.Date startTime)

      Sets the start time.
      Parameters:
        `startTime` - the new start time

    - #### getEndTime

          public java.util.Date getEndTime()

      Gets the end time.
      Returns:
        the end time

    - #### setEndTime

          public void setEndTime(java.util.Date endTime)

      Sets the end time.
      Parameters:
        `endTime` - the new end time

    - #### getType

          public java.lang.String getType()

      Gets the type.
      Returns:
        the type

    - #### setType

          public void setType(java.lang.String type)

      Sets the type.
      Parameters:
        `type` - the new type

    - #### getTypeDescription

          public java.lang.String getTypeDescription()

      Gets the type description.
      Returns:
        the type description

    - #### setTypeDescription

          public void setTypeDescription(java.lang.String typeDescription)

      Sets the type description.
      Parameters:
        `typeDescription` - the new type description

    - #### getDuration

          public int getDuration()

      Gets the duration.
      Returns:
        the duration

    - #### setDuration

          public void setDuration(int duration)

      Sets the duration.
      Parameters:
        `duration` - the new duration

    - #### getCompanies

          public java.util.List<java.lang.String> getCompanies()

      Gets the companies.
      Returns:
        the companies

    - #### getContacts

          public java.util.List<java.lang.String> getContacts()

      Gets the contacts.
      Returns:
        the contacts

    - #### isPrivate

          public boolean isPrivate()

      Checks if is private.
      Returns:
        true, if is private

    - #### setPrivate

          public void setPrivate(boolean isPrivate)

      Sets the private.
      Parameters:
        `isPrivate` - the new private

    - #### getCommonStartTime

          public java.util.Date getCommonStartTime()

      Gets the common start time.
      Returns:
        the common start time

    - #### setCommonStartTime

          public void setCommonStartTime(java.util.Date commonStartTime)

      Sets the common start time.
      Parameters:
        `commonStartTime` - the new common start time

    - #### getCommonEndTime

          public java.util.Date getCommonEndTime()

      Gets the common end time.
      Returns:
        the common end time

    - #### setCommonEndTime

          public void setCommonEndTime(java.util.Date commonEndTime)

      Sets the common end time.
      Parameters:
        `commonEndTime` - the new common end time